.c-back-to-top {
  align-items: center;
  background-color: var(--crp-color-midnight);
  border-radius: 20px;
  box-shadow: 0px 2px 16px -8px var(--crp-color-shadow);
  box-sizing: content-box;
  display: flex;
  line-height: 1;
  transition: all 0.35s ease-in-out;
  position: fixed;
  z-index: var(--crp-zindex-super);
  opacity: 0;
  pointer-events: none;
  transform: translateY(10px);
  transition: opacity 0.3s ease, transform 0.3s ease;
}
.c-back-to-top.visible {
  opacity: 1;
  pointer-events: auto;
  transform: translateY(0);
}
.c-back-to-top.hidden {
  pointer-events: none;
  transform: translateY(10px);
}
.c-back-to-top:hover .c-icon {
  transform: translateY(-3px);
}
.c-back-to-top .c-back-to-top__inner {
  display: flex;
  gap: 4px;
  width: -moz-fit-content;
  width: fit-content;
}
.c-back-to-top .c-icon {
  background-color: var(--crp-color-white);
  height: 1.5rem;
  transition: all 0.35s ease-in-out;
  will-change: transform;
  width: 1.5rem;
}
.c-back-to-top .c-back-to-top__text {
  font-size: var(--crp-fs-body-16);
  line-height: var(--crp-lh-body-16);
  color: var(--crp-color-white);
  font-family: var(--crp-ff-body);
  font-weight: var(--crp-fw-semibold);
  text-transform: capitalize;
}